MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026306Open CASCADE[OCCT] OCCT:Shape Healingpublic2015-06-03 09:592015-10-23 20:50
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026306: Access to deleted object in ShapeFix_FixSmallSolid
DescriptionIn ShapeFix_FixSmallSolid.cxx, static function AddShells uses reference to shape object to record a message on it, but does this after that shape is removed from the list. Depending on circumstances, this causes access violation errors. The problem has been discovered while testing 0024750.
Steps To Reproducetest heal drop_small_solids M2 M3
TagsNo tags attached.
Test case numberheal drop_small_solids M2, M3
Attached Files

- Relationships
related to 0024750closedabv Open CASCADE Replace instantiations of TCollection generic classes by NCollection templates 

-  Notes
(0041884)
git (administrator)
2015-06-03 10:02

Branch CR26306 has been created by abv.

SHA-1: 72bcd246003311c10ebe29da0723e68afd0dc9c5


Detailed log of new commits:

Author: abv
Date: Wed Jun 3 10:01:40 2015 +0300

    0026306: Access to deleted object in ShapeFix_FixSmallSolid
    
    Code corrected to avoid accessing element of sequence by reference after it is removed.
(0041885)
abv (manager)
2015-06-03 10:03

Fix pushed to CR26306, please review
(0041893)
gka (developer)
2015-06-03 11:58

Branch CR26306 is ready to be tested
(0041894)
abv (manager)
2015-06-03 12:07

I suppose neither testing nor compilation is needed: the change is trivial, while problem exhibits only in specific configuration, not the same as in our tests
(0041911)
apv (tester)
2015-06-03 16:57

Dear BugMaster,

Branch CR26306 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 72bcd246003311c10ebe29da0723e68afd0dc9c5

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)
(0044241)
git (administrator)
2015-08-14 10:59

Branch CR26306 has been deleted by inv.

SHA-1: 72bcd246003311c10ebe29da0723e68afd0dc9c5

- Related Changesets
occt: master 81a023ab
Timestamp: 2015-06-03 07:01:40
Author: abv
Committer: bugmaster
Details ] Diff ]
0026306: Access to deleted object in ShapeFix_FixSmallSolid

Code corrected to avoid accessing element of sequence by reference after it is removed.
mod - src/ShapeFix/ShapeFix_FixSmallSolid.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-03 09:59 abv New Issue
2015-06-03 09:59 abv Assigned To => gka
2015-06-03 10:02 git Note Added: 0041884
2015-06-03 10:03 abv Note Added: 0041885
2015-06-03 10:03 abv Status new => resolved
2015-06-03 10:03 abv Steps to Reproduce Updated View Revisions
2015-06-03 10:23 abv Relationship added related to 0024750
2015-06-03 10:25 abv Relationship added child of 0025604
2015-06-03 11:58 gka Note Added: 0041893
2015-06-03 11:58 gka Assigned To gka => bugmaster
2015-06-03 11:58 gka Status resolved => reviewed
2015-06-03 12:06 apv Assigned To bugmaster => apv
2015-06-03 12:07 abv Note Added: 0041894
2015-06-03 16:56 apv Test case number => heal drop_small_solids M2, M3
2015-06-03 16:57 apv Note Added: 0041911
2015-06-03 16:57 apv Assigned To apv => bugmaster
2015-06-03 16:57 apv Status reviewed => tested
2015-06-05 15:00 bugmaster Changeset attached => occt master 81a023ab
2015-06-05 15:00 bugmaster Status tested => verified
2015-06-05 15:00 bugmaster Resolution open => fixed
2015-08-14 10:59 git Note Added: 0044241
2015-08-26 11:08 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker